Package uk.ac.starlink.vo

# Class UwsJob.UnexpectedResponseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
uk.ac.starlink.vo.UwsJob.UnexpectedResponseException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `UwsJob`

public static class UwsJob.UnexpectedResponseException extends IOException
Exception which may be thrown if a UWS HTTP request receives a response code which is not as mandated by UWS, but not obviously an error. An example is getting a 200 rather than 303 from a job creation attempt.

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`HttpURLConnection`
`getConnection()`
Returns the HTTP connection which supplied the response.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getConnection

public HttpURLConnection getConnection()
Returns the HTTP connection which supplied the response. The response code, but probably not the content, has already been read.

Returns:
  connection